datacache <- new.env(hash=TRUE, parent=emptyenv())

clariomsmousehtmmentrezg <- function() showQCData("clariomsmousehtmmentrezg", datacache)
clariomsmousehtmmentrezg_dbconn <- function() dbconn(datacache)
clariomsmousehtmmentrezg_dbfile <- function() dbfile(datacache)
clariomsmousehtmmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
clariomsmousehtmmentrezg_dbInfo <- function() dbInfo(datacache)

clariomsmousehtmmentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "clariomsmousehtmmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "clariomsmousehtmmentrezg", "chip clariomsmousehtmmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("clariomsmousehtmmentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(clariomsmousehtmmentrezg_dbconn())
}

